Package org.eclipse.remote.console

## Class TerminalConsoleUtility

- java.lang.Object
- - org.eclipse.remote.console.TerminalConsoleUtility

    public class TerminalConsoleUtility
    extends java.lang.Object

A collection of public API utility methods to open consoles to IRemoteConnection objects

Since:
  1.1

### Constructor Summary

Constructors
`TerminalConsoleUtility()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.util.List<org.eclipse.ui.console.IConsole>` `findConsole​(IRemoteConnection connection)` Find an existing console for the given IRemoteConnection
`void` `openConsole()` Opens a dialog to allow selection of an IRemoteConnection, encoding, etc.
`static void` `openConsole​(IRemoteConnection connection, java.lang.String encoding)` Open a specific IRemoteConnection and encoding combination.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TerminalConsoleUtility

    public TerminalConsoleUtility()

### Method Detail

#### openConsole

    public void openConsole()

Opens a dialog to allow selection of an IRemoteConnection, encoding, etc. and then open a console to it.

#### openConsole

    public static void openConsole​(IRemoteConnection connection,
                                   java.lang.String encoding)

Open a specific IRemoteConnection and encoding combination.

Parameters:
  `connection` -
  `encoding` -

#### findConsole

    public static java.util.List<org.eclipse.ui.console.IConsole> findConsole​(IRemoteConnection connection)

Find an existing console for the given IRemoteConnection

Parameters:
  `connection` -
Returns: